# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-amara
%define fedora 19
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-amara
Version:        1.2.0.2
Release:        alt1_11
Summary:        A collection of Pythonic tools for XML data binding

Group:          Development/Python
License:        ASL 1.1
URL:            http://uche.ogbuji.net/tech/4Suite/amara/
Source0:        ftp://ftp.4suite.org/pub/Amara/Amara-%{version}.tar.bz2

BuildRequires:  python-devel
# Needs python-4Suite-XML >= 1.0b2
BuildRequires:  python-module-4Suite-XML
# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-module-distribute
%else
BuildRequires: python-module-setuptools
%endif

BuildArch:      noarch
Source44: import.info

%description
Amara is a collection of Pythonic tools for XML data binding. Not just tools
that happen to be written in Python, but tools built from the ground up to use
Python idioms and take advantage of the many advantages of Python over other
programming languages.

Amara builds on 4Suite, but whereas 4Suite focuses more on literal
implementation of XML standards in Python, Amara adds a much more Pythonic face
to these capabilities.

%prep
%setup -q -n Amara-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{_bindir}/*
%dir %{python_sitelibdir_noarch}/amara
%{python_sitelibdir_noarch}/amara/*.py*
%{python_sitelibdir_noarch}/Amara-*.egg-info

%doc CHANGES COPYING demo docs README TODO

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0.2-alt1_11
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.0.2-alt1_10
- initial fc import

